Bug 138184 - Installer does not correctly label partitions and does not correctly create the initial grub.conf configuration file
Installer does not correctly label partitions and does not correctly create t...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-05 07:12 EST by Carsten Klein
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 11.0.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 12:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Klein 2004-11-05 07:12:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040929

Description of problem:

After installation of FC3T3 I found that the labels I had defined for
the existing and to be formatted partitions, namely the / label, were
not correctly set.

The boot-process therefore failed.

Additionally, the installation process created a grub.conf that had an
extra character, namely '1', after the root label. Removing the
character solved the boot problem after the installation. The problem
only showed up when shutting down the system and then restarting the
system, and not when finishing the installation and restart during the
installation process - I wonder what is different with the two?
Besides I am considering to escalate "absolut stressfrei" to simply
"stressfrei" whilst testing FC3 ;-)...

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this
file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/hda7
#          initrd /initrd-version.img
#boot=/dev/hda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title absolut stressfrei (2.6.8-1.541)
        root (hd0,0)
        kernel /vmlinuz-2.6.8-1.541 ro root=LABEL=/1 hdc=ide-scsi
hdd=ide-scsi rhgb quiet
        initrd /initrd-2.6.8-1.541.img
title absoluter stress
        rootnoverify (hd0,1)
        chainloader +1


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Install FC3
2. Using disk-druid manually setup partitions and label them accordingly
3. Finish installation and shutdown (poweroff) system, restart
    

Actual Results:  
The system will not boot correctly and will drop to the emergency
console for a file-system check, as the label / cannot be found due to
incorrectly set partition labels. After fixing this, grub will not
boot the kernel or rather the kernel will panic as the grub.conf
contains the additional and erroneous character '1'.

Expected Results:  
A stable and "absolut stressfrei" system ;-)

Additional info:


Reproducing it would mean to run the whole installation process anew,
as I am currently involed in writing applications (if I only could -
as OOo would not display any umlauts anymore) I haven't got the time
to do this - besides it is a bit of a tire-ing process...
Comment 1 Jeremy Katz 2004-11-08 09:28:29 EST
The partition's mount point (what you can assign in disk druid) is not
necessarily 100% the same as the filesystem label.  If there's an
existing / label, then we will sometimes go to /1, etc to avoid
duplicate labels.

Did you change anything in your fstab after your install?
Comment 2 Carsten Klein 2004-11-09 00:37:19 EST
No, I did not change the fstab until after the described behaviour
showed up. 

I only have one "/" partition, yet I remember that I did not format my
root partition and just labelled it at that time, now that you ask.
Comment 3 Matthew Miller 2006-07-10 18:31:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Carsten Klein 2006-07-11 05:33:22 EDT
The problem did not show up on FC5, it seems that the fstab is also correctly
changed in order to reflect the extended (versioned) partition label names.

Comment 5 Matthew Miller 2006-07-11 12:07:33 EDT
Okay. Marking as fixed in FC5's anaconda. Thanks!

Note You need to log in before you can comment on or make changes to this bug.